Package org.apache.jmeter.gui.action

# Class Remove

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Remove

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class Remove extends AbstractAction
Implements the Remove menu item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Remove()`
  Constructor for the Remove object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  `Set<String>`
  `getActionNames()`
  Gets the ActionNames attribute of the Remove object.

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Remove

    public Remove()
    Constructor for the Remove object

- ## Method Details

  - ### getActionNames

    public Set<String> getActionNames()
    Gets the ActionNames attribute of the Remove object.
    Returns:
      the ActionNames value

  - ### doAction

    public void doAction(ActionEvent e)
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    See Also:
      - `Command.doAction(ActionEvent)`